Get a macro
One macro, including its ordered actions and the agents who created and last updated it.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
macros
/
{id}
Get a macro
curl --request GET \
--url https://app.tied.com/api/v1/accounts/{account_id}/macros/{id} \
--header 'api_access_token: <api-key>'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/macros/{id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/macros/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/macros/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/macros/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"payload": {
"id": 2,
"name": "Escalate to Technical support",
"visibility": "global",
"created_by": {
"id": 1,
"account_id": 1,
"availability_status": "offline",
"auto_offline": true,
"confirmed": true,
"email": "you@example.com",
"provider": "email",
"available_name": "Alex Rivera",
"name": "Alex Rivera",
"role": "administrator",
"thumbnail": "/dashboard/images/default-contact-avatars/031.svg",
"avatar_url": "",
"illustration_avatar": true,
"accent_color": null,
"custom_role_id": null
},
"updated_by": {
"id": 1,
"account_id": 1,
"availability_status": "offline",
"auto_offline": true,
"confirmed": true,
"email": "you@example.com",
"provider": "email",
"available_name": "Alex Rivera",
"name": "Alex Rivera",
"role": "administrator",
"thumbnail": "/dashboard/images/default-contact-avatars/031.svg",
"avatar_url": "",
"illustration_avatar": true,
"accent_color": null,
"custom_role_id": null
},
"account_id": 1,
"actions": [
{
"action_name": "add_private_note",
"action_params": [
"Escalated from the front line -- the customer has already tried the steps in the troubleshooting article."
]
},
{
"action_name": "assign_team",
"action_params": [
3
]
}
]
}
}{
"error": "Resource could not be found"
}{
"error": "Resource could not be found"
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the macro.
Example:
2
Response
Success
Single-macro responses are wrapped in a payload key.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get a macro
curl --request GET \
--url https://app.tied.com/api/v1/accounts/{account_id}/macros/{id} \
--header 'api_access_token: <api-key>'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/macros/{id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/macros/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/macros/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/macros/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"payload": {
"id": 2,
"name": "Escalate to Technical support",
"visibility": "global",
"created_by": {
"id": 1,
"account_id": 1,
"availability_status": "offline",
"auto_offline": true,
"confirmed": true,
"email": "you@example.com",
"provider": "email",
"available_name": "Alex Rivera",
"name": "Alex Rivera",
"role": "administrator",
"thumbnail": "/dashboard/images/default-contact-avatars/031.svg",
"avatar_url": "",
"illustration_avatar": true,
"accent_color": null,
"custom_role_id": null
},
"updated_by": {
"id": 1,
"account_id": 1,
"availability_status": "offline",
"auto_offline": true,
"confirmed": true,
"email": "you@example.com",
"provider": "email",
"available_name": "Alex Rivera",
"name": "Alex Rivera",
"role": "administrator",
"thumbnail": "/dashboard/images/default-contact-avatars/031.svg",
"avatar_url": "",
"illustration_avatar": true,
"accent_color": null,
"custom_role_id": null
},
"account_id": 1,
"actions": [
{
"action_name": "add_private_note",
"action_params": [
"Escalated from the front line -- the customer has already tried the steps in the troubleshooting article."
]
},
{
"action_name": "assign_team",
"action_params": [
3
]
}
]
}
}{
"error": "Resource could not be found"
}{
"error": "Resource could not be found"
}